// htmlfrm.h : interface of the CHtmlFrame and CHtmlChildWnd class
//
/////////////////////////////////////////////////////////////////////////////

class CHtmlChildWnd;

class CHtmlFrame : public CMDIFrameWnd
{
	DECLARE_DYNAMIC(CHtmlFrame)
public:
	CHtmlFrame();

// Attributes
public:

// Operations
public:
	CHtmlChildWnd* MDIGetActive(BOOL* pbMaximized = NULL) const;

// Implementation
public:
	virtual ~CHtmlFrame();

	virtual BOOL OnCmdMsg(UINT nID, int nCode, void* pExtra,
		AFX_CMDHANDLERINFO* pHandlerInfo);
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	virtual CFrameWnd* GetActiveFrame();
	virtual void OnUpdateFrameMenu(HMENU hMenuAlt);
	virtual void OnUpdateFrameTitle(BOOL bAddToTitle);

protected:
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
	
// Generated message map functions
protected:
	//{{AFX_MSG(CHtmlFrame)
	afx_msg LRESULT OnCommandHelp(WPARAM wParam, LPARAM lParam);
	afx_msg void OnUpdateMDIWindowCmd(CCmdUI* pCmdUI);
	afx_msg void OnWindowNew();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

class CHtmlChildWnd : public CMDIChildWnd
{
	DECLARE_DYNCREATE(CHtmlChildWnd)
public:
	CHtmlChildWnd();

	BOOL Create(LPCSTR lpszClassName,
				LPCSTR lpszWindowName,
				DWORD dwStyle = WS_CHILD | WS_VISIBLE | WS_OVERLAPPEDWINDOW,
				const RECT& rect = rectDefault,
				CHtmlFrame* pParentWnd = NULL,
				CCreateContext* pContext = NULL);

// Attributes
public:

// Operations
public:
	virtual BOOL LoadFrame(UINT nIDResource, DWORD dwDefaultStyle,
					CWnd* pParentWnd, CCreateContext* pContext = NULL);
					// 'pParentWnd' parameter is required for MDI Child
	virtual void ActivateFrame(int nCmdShow = -1);

// Implementation
public:
	virtual ~CHtmlChildWnd();
	
// Generated message map functions
protected:
	//{{AFX_MSG(CHtmlFrame)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


/////////////////////////////////////////////////////////////////////////////

extern BOOL PASCAL _AfxIsComboBoxControl(HWND hWnd, UINT nStyle);
extern void PASCAL _AfxCancelModes(HWND hWndRcvr);
extern void PASCAL _AfxHookWindowCreate(CWnd* pWnd);
extern BOOL PASCAL _AfxUnhookWindowCreate();

/////////////////////////////////////////////////////////////////////////////
